Skip to main content
A Few Things to Know
  1. A Onsite Sponsored Products line item holds promoted products to advertise on a single retailer.
  2. Line items have bid settings, start & end dates, and optional budgeting & pacing controls.
  3. Target & maximum bid settings must respect minimum bid (minBid), that can be set at product SKU level, to start delivering ads
  4. Products SKU IDs are available through Catalog endpoints

Endpoints

Verb

Endpoint

Description

POST

/retailers/{retailerId}/cpc-min-bids

Search for min bid CPC defined by collection of SKU IDs


Minimum Bid Attributes

Attribute

Data Type

Description

retailerId*

string

RetailerID where the line item will serve ads on

Accepted values: int64

Writeable? N / Nullable? N

skuIds*

list<string>

List of SKU IDs in which the minimum bid is requested (usually, the SKUs promoted by the line item).

Values are available throughCatalogendpoints

Accepted values: at least, an empty list[]

Writeable? N / Nullable? N

skuId

string

SKU ID respective to theminBidin the response

Accepted values: SKU IDs from catalog

Writeable? N / Nullable? N

overallMinBid

decimal

Overall minimum bid resulted from the list of SKUs requested, that the line item should respect to, effectively, deliver ads

Acceptable values: at least0.01

Writeable? N / Nullable? N

minBid

decimal

Minimum bid for the respective SKU

Acceptable values: at least0.01

Writeable? N / Nullable? N

*Required

Retrieve Minimum Bid from SKU IDs

Sample Request
curl -L -X POST "https://api.criteo.com/{version}/retail-media/retailers/12345/cpc-min-bids" \
    -H 'Accept: application/json' \
    -H "Authorization: Bearer <MY_ACCESS_TOKEN>" \
    -H "Content-Type: application/json" \
    -d '{
            "data": {
                "type": "<string>",
                "attributes": {
                    "skuIds": [
                        "a1b2c3",
                        "d4e5f6",
                        "g7h8i9"
                    ]
                }
            }
        }'
Sample Response
{
    "data": [
        {
            "type": "DisplayAuctionMinBidResult",
            "attributes": {
                "minBid": 10.00,
                "pageType": "Home",
                "creativeId": "758332652442947584"
            }
        },
        {
            "type": "DisplayAuctionMinBidResult",
            "attributes": {
                "minBid": 2.50,
                "pageType": "Search",
                "creativeId": "758332652442947584"
            }
        },
        {
            "type": "DisplayAuctionMinBidResult",
            "attributes": {
                "minBid": 2.50,
                "pageType": "ProductDetail",
                "creativeId": "758332652442947584"
            }
        },
      
        // ...

        {
            "type": "DisplayAuctionMinBidResult",
            "attributes": {
                "minBid": 2.50,
                "pageType": "Confirmation",
                "creativeId": "758332652442947584"
            }
        },
        {
            "type": "DisplayAuctionMinBidResult",
            "attributes": {
                "minBid": 10.00,
                "pageType": "Home",
                "creativeId": "735093382380679168"
            }
        },
        {
            "type": "DisplayAuctionMinBidResult",
            "attributes": {
                "minBid": 2.50,
                "pageType": "Search",
                "creativeId": "735093382380679168"
            }
        },
        {
            "type": "DisplayAuctionMinBidResult",
            "attributes": {
                "minBid": 2.50,
                "pageType": "ProductDetail",
                "creativeId": "735093382380679168"
            }
        },
        {
            "type": "DisplayAuctionMinBidResult",
            "attributes": {
                "minBid": 2.50,
                "pageType": "Confirmation",
                "creativeId": "735093382380679168"
            }
        }
    ],
    "warnings": [],
    "errors": []
}

Responses

Response

Description

🟢200

Call executed with success

🔴400

json-serialization-error

Required attribute missing or with unexpected format in request’s body

🔴404

Not Found

Retailer ID informed in request’s path was not found